> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出工具

> 列出所有可用的工具定义（系统工具 + 技能工具）。

返回经过身份验证的用户可使用的所有工具，将系统注册表中的工具与已安装技能所提供的工具合并在一起。

## 身份验证

需要 Bearer 令牌。参见[身份验证](/api-reference/authentication)。

## 请求示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/tools \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  const tools = await theo.tools();
  ```
</CodeGroup>

## 响应

<ResponseField name="tools" type="object[]">
  工具定义对象数组。每个对象都包含 `name`、`description`、`inputSchema`、`category`、`permissionLevel` 和 `requiresApproval`。
</ResponseField>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.